Summary:        Tzfile (zoneinfo) timezone files
Name:           perl-DateTime-TimeZone-Tzfile
Version:        0.011
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DateTime-TimeZone-Tzfile
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/DateTime-TimeZone-Tzfile-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils, perl-generators, perl-interpreter, perl(Module::Build)
# Runtime
BuildRequires:  perl(Carp), perl(Date::ISO8601), perl(DateTime::TimeZone::SystemV) >= 0.009, perl(integer)
BuildRequires:  perl(IO::File) >= 1.13, perl(IO::Handle) >= 1.08, perl(Params::Classify), perl(strict), perl(warnings)
# Test Suite
BuildRequires:  perl(Test::More), perl(Test::Pod) >= 1.00, perl(Test::Pod::Coverage)
# Dependencies
Requires:       perl-libs
Requires:       perl(DateTime::TimeZone::SystemV) >= 0.009

%description
An instance of this class represents a timezone that was encoded in a
file in the tzfile(5) format.  These can express arbitrary patterns of
offsets from Universal Time, changing over time.  Offsets and change
times are limited to a resolution of one second.



%prep
%autosetup -n DateTime-TimeZone-Tzfile-%{version}



%build
perl Build.PL --installdirs=vendor
./Build



%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}



%check
./Build test



%files
%doc Changes README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::TimeZone::Tzfile.3*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.011-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.011-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.011-1
- Initial building.
